package com.pcloud.book.group.dto;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class ErpGroupQrcodeDTO implements Serializable {

    private static final long serialVersionUID = 3234046973249447114L;

    /**
     * 社群码名称
     */
    private String groupQrcodeName;

    /**
     * 书刊ID
     */
    private Long bookId;

    /**
     * 运营ID
     */
    private Long channelId;

    /**
     * 编辑ID
     */
    private Long adviserId;

    /**
     * 添加方式
     */
    private Integer addType;

    /**
     * 进群方式
     */
    private Integer joinGroupType;

    public String getGroupQrcodeName() {
        return groupQrcodeName;
    }

    public void setGroupQrcodeName(String groupQrcodeName) {
        this.groupQrcodeName = groupQrcodeName;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Integer getAddType() {
        return addType;
    }

    public void setAddType(Integer addType) {
        this.addType = addType;
    }

    public Integer getJoinGroupType() {
        return joinGroupType;
    }

    public void setJoinGroupType(Integer joinGroupType) {
        this.joinGroupType = joinGroupType;
    }

    @Override
    public String toString() {
        return "ErpGroupQrcodeDTO{" +
                "bookId=" + bookId +
                ", channelId=" + channelId +
                ", adviserId=" + adviserId +
                ", addType=" + addType +
                ", joinGroupType=" + joinGroupType +
                '}';
    }
}
